******************************************************************
*  MTEST.FOR                                                     *
*                                                                *
*  Demonstrates use of the Microsoft Mouse from FORTRAN 4.1      *
*                                                                *
*  Compile using large model (default)                           *
*  Link with MTESTASM.OBJ and MOUSE.LIB                          *
*  Example:   fl /FPc mtest.for mtestasm.obj -link mouse         *
******************************************************************
 
        PROGRAM MTEST
 
        INTEGER*2 M1, M2, M3, M4
        INTEGER*2 MCURSOR(32)
        INTEGER*2 ARRLOC(2)
        INTEGER*4 ARRADDS
 
        EQUIVALENCE (ARRLOC(1),ARRADDS)
 
        CALL SUB1
        M1 = 0
        CALL MOUSEL (M1, M2, M3, M4)
 
        DO 50 I = 1, 32
50      MCURSOR(I) = INT2(#FFFF)
 
        MCURSOR(17) = INT2(#0780)
        MCURSOR(18) = INT2(#B8B8)
        MCURSOR(19) = INT2(#3060)
        MCURSOR(20) = INT2(#6038)
        MCURSOR(21) = INT2(#F07E)
        MCURSOR(22) = INT2(#8841)
        MCURSOR(23) = INT2(#F031)
        MCURSOR(24) = INT2(#7020)
        MCURSOR(25) = INT2(#401C)
        MCURSOR(26) = INT2(#6006)
        MCURSOR(27) = INT2(#3C06)
        MCURSOR(28) = INT2(#03FE)
        MCURSOR(29) = INT2(#0001)
        MCURSOR(30) = INT2(#F001)
        MCURSOR(31) = INT2(#0301)
        MCURSOR(32) = INT2(#007C)
        M1 = 9
        M2 = 1
        M3 = 1
        ARRADDS = LOCFAR(MCURSOR)
        CALL MOUSEL (M1, M2, M3, ARRLOC(1))
 
        M1 = 1
        CALL MOUSEL (M1, M2, M3, M4)
 
        STOP
        END
